---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::ComboBoxRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#adaf6d43c1900b5fd1ad2b5a188c68173">ComboBoxRenderer</a>(ComboBox *comboBox)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a9a9b9aeb2fe53fa9b148eb56fb7b5175">getListBox</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aea828ffd1ed85775f691e39ee7129a57">getProperty</a>(std::string property) const  override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aaf51545530c9fe63b8523fd5b1fab765">getPropertyValuePairs</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a011572d0e3ac48cc5d2554fd37a2aa47">setArrowBackgroundColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a8f7a136e8fb73f6ff10e652059fe16b1">setArrowBackgroundColorHover</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ae431629cc9fde2eb2e33b5add67e2ffb">setArrowBackgroundColorNormal</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a99dc2e9fea53f2bdc0451630aa7a828e">setArrowColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ac8db8cd3e6c7bd8404d2e21f93b78d23">setArrowColorHover</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aa86cde37d3cc0ed1592167d239aabfd7">setArrowColorNormal</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#af5fb925886aa84bf92e008c2cda56dfd">setArrowDownHoverTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a58e274e07f394dd8ce2291988b1b8390">setArrowDownTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a146484ad9a4ab20781e54e772ba5bb66">setArrowUpHoverTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ad067f37aaa08f5e2ac2631e420840827">setArrowUpTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a4100e57fc0eac294d8ad6d0df1e77742">setBackgroundColor</a>(const Color &amp;backgroundColor)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a23e36c0ee44a8d80b69110a71900933d">setBackgroundTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#aa8e5cb6077fa73debc5ad75c69992350">setBorderColor</a>(const Color &amp;borderColor)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a459ddff34fba6a99a292adbe2204424a">setBorders</a>(const Borders &amp;borders) override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">tgui::WidgetBorders::setBorders</a>(float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">tgui::WidgetBorders::setBorders</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a4fbc611e85ad1f30b87580bc86345a48">setPadding</a>(const Padding &amp;padding) override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">tgui::WidgetPadding::setPadding</a>(float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">tgui::WidgetPadding::setPadding</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a37656f056c150841a4f59961cd4fe4d9">setProperty</a>(std::string property, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#ab9e2ebed19f22c49e36e8426789c89ed">setProperty</a>(std::string property, ObjectConverter &amp;&amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html#a53fed40438ba136bbe51bf3ba4a33c49">setTextColor</a>(const Color &amp;textColor)</td><td class="entry"><a class="el" href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a>()</td><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
